GeodatabaseFeatureTable class final

A feature table stored in a Geodatabase.

For mobile geodatabases created by ArcGIS Pro, renderer information isn't stored in the geodatabase. A default renderer is therefore used to display mobile geodatabase feature tables in a feature layer. In most cases, this default should be replaced with a custom renderer.

Inheritance

Constructors

GeodatabaseFeatureTable.fromTable({required GeodatabaseFeatureTable table, required RelationshipInfo relationshipInfo})
Creates a new geodatabase feature table object from the specified table and relationship info.
factory

Properties

defaultSubtypeCode → dynamic
The table's default subtype code.
no setterinherited
displayName ↔ String
A user-friendly name that can be displayed in the UI (for example, in a Table of Contents).
getter/setter pairinherited
editableAttributeFields → List<Field>
A list of editable fields.
no setterinherited
extent → Envelope?
The geographic extent of features within the table.
no setterinherited
featureSubtypes → List<FeatureSubtype>
The table's feature subtypes.
no setterinherited
featureTemplates → List<FeatureTemplate>
A list of the feature templates on this table.
no setterinherited
featureTypes → List<FeatureType>
The feature types for this table.
no setterinherited
fields → List<Field>
The collection of Field objects representing the fields of the feature table.
no setterinherited
geodatabase → Geodatabase?
The geodatabase from the geodatabase feature table.
no setter
geometryType → GeometryType
The type of geometry of the features stored in this table.
no setterinherited
globalIdField → String
The global id field name.
no setterinherited
hasAttachments → bool
True if the features in this table support attachments, false otherwise.
no setterinherited
hasGeometry → bool
True if the feature table supports geographic features, false otherwise.
no setterinherited
hashCode → int
The hash code for this object.
no setterinherited
hasM → bool
True if the feature table supports geometries with M values, false otherwise.
no setterinherited
hasZ → bool
True if the feature table supports geometries with Z values, false otherwise.
no setterinherited
isEditable → bool
True if this feature table is editable, false otherwise.
no setterinherited
isPopupEnabled ↔ bool
A flag indicating whether the PopupDefinition defined on the PopupSource is enable / disable.
getter/setter pairinherited
layer → Layer?
The layer that displays this table, if any.
no setterinherited
layerInfo → ArcGISFeatureLayerInfo?
The service information related to the feature layer.
no setterinherited
loadError → ArcGISException?
The load error.
no setterinherited
loadStatus → LoadStatus
The load status.
no setterinherited
numberOfFeatures → int
The number of features in the table.
no setterinherited
objectIdField → String
The object id field name.
no setterinherited
onLoadStatusChanged → Stream<LoadStatus>
A stream that reports changes to the LoadStatus.
no setterinherited
popupDefinition ↔ PopupDefinition?
The pop-up definition.
getter/setter pairinherited
runtimeType → Type
A representation of the runtime type of the object.
no setterinherited
serviceLayerId → int
The layer ID in the feature service that this table was created from.
no setterinherited
spatialReference → SpatialReference?
The spatial reference of the table.
no setterinherited
subtypeField → String
The table's subtype field.
no setterinherited
subtypeSubtables → List<SubtypeSubtable>
The mutable collection of SubtypeSubtable objects that provide access to features with the same subtype.
no setterinherited
tableName → String
The name of the table in the source dataset.
no setterinherited
typeIdField → String
The type id field name.
no setterinherited
useAdvancedSymbology ↔ bool
True if the table is using advanced symbology, false otherwise.
getter/setter pairinherited
username → String
The username of the feature table.
no setterinherited

Methods

addFeature(Feature feature) → Future<void>
Adds a feature to the table.
inherited
addFeatures(List<Feature> features) → Future<void>
Adds a collection of features to the table.
inherited
canAdd() → bool
Determines whether you can add new features to the table.
inherited
cancelLoad() → void
Cancels loading metadata for the object.
inherited
canDelete(Feature feature) → bool
Determines whether you can delete the feature from the table.
inherited
canEditGeometry() → bool
Determines whether you can edit the geometry field in a table.
inherited
canUpdate(Feature feature) → bool
Determines whether you can update the feature in the table.
inherited
createFeature({Map<CaseInsensitiveString, dynamic> attributes = const {}, Geometry? geometry}) → Feature
Creates a new feature with the provided attribute values and, optionally, geometry.
inherited
createFeatureWithSubtype(FeatureSubtype featureSubtype, {Geometry? geometry}) → ArcGISFeature
Creates a new feature based on the provided feature subtype and geometry.
inherited
createFeatureWithTemplate(FeatureTemplate featureTemplate, {Geometry? geometry}) → ArcGISFeature
Creates a new feature based on the provided feature template and geometry.
inherited
createFeatureWithType(FeatureType featureType, {Geometry? geometry}) → ArcGISFeature
Creates a new feature based on the provided feature type and geometry.
inherited
deleteFeature(Feature feature) → Future<void>
Deletes a feature from the table.
inherited
deleteFeatures(List<Feature> features) → Future<void>
Deletes a collection of features from the table.
inherited
getAddedFeatures() → Future<FeatureQueryResult>
Returns the features added since the last sync.
inherited
getAddedFeaturesCount() → Future<int>
Returns the number of features added since the last sync.
inherited
getDeletedFeatures() → Future<FeatureQueryResult>
Returns the features deleted since the last sync.
inherited
getDeletedFeaturesCount() → Future<int>
Returns the number of features deleted since the last sync.
inherited
getFeatureTemplate({required String name}) → FeatureTemplate?
Searches for the feature template with the given name.
inherited
getFeatureType({required String name}) → FeatureType?
Searches for the feature type with the given name.
inherited
getField({required String fieldName}) → Field?
Retrieves the field with the given name.
inherited
getLocalEdits() → Future<LocalFeatureEditsResult>
Returns all the features that were added, updated or deleted since the last sync.
inherited
getLocalEditsCount() → Future<int>
Returns the number of features that were added, updated or deleted since the last sync.
inherited
getPopupDefinitionWithFeature(Feature feature) → PopupDefinition?
Gets the popup definition for the given feature in the feature table.
inherited
getRelatedTables() → List<ArcGISFeatureTable>
Returns a list of all related tables that have been added to the map.
inherited
getRelatedTablesWithRelationshipInfo(RelationshipInfo relationshipInfo) → List<ArcGISFeatureTable>
Returns list of tables related by the given relationship info.
inherited
getUpdatedFeatures() → Future<FeatureQueryResult>
Returns the features updated since the last sync.
inherited
getUpdatedFeaturesCount() → Future<int>
Returns the number of features updated since the last sync.
inherited
hasLocalEdits() → bool
Checks whether the feature table has local edits.
inherited
hasLocalEditsSince({required DateTime date}) → bool
Checks if the geodatabase feature table has local edits since a specific date.
load() → Future<void>
Loads the metadata for the object asynchronously.
inherited
noSuchMethod(Invocation invocation) → dynamic
Invoked when a nonexistent method or property is accessed.
inherited
queryExtent(QueryParameters queryParameters) → Future<Envelope>
Determines the minimum bounding envelope that contains features satisfying the provided query parameters.
inherited
queryFeatureCount(QueryParameters queryParameters) → Future<int>
Determines the count of features that satisfy the provided query parameters.
inherited
queryFeatures(QueryParameters queryParameters) → Future<FeatureQueryResult>
Submits a query against the table.
inherited
queryRelatedFeatureCount({required ArcGISFeature feature, RelatedQueryParameters? parameters}) → Future<int>
Performs a query that returns the number of related features to supplied feature based on the parameters.
inherited
queryRelatedFeatures({required ArcGISFeature feature, RelatedQueryParameters? parameters}) → Future<List<RelatedFeatureQueryResult>>
Queries for related features of a given feature in a specific relationship.
inherited
queryStatistics(StatisticsQueryParameters statisticsQueryParameters) → Future<StatisticsQueryResult>
Calculates values for the requested statistics.
inherited
retryLoad() → Future<void>
Loads or retries loading metadata for the object asynchronously.
inherited
toString() → String
A string representation of this object.
inherited
updateFeature(Feature feature) → Future<void>
Updates a feature in the table.
inherited
updateFeatures(List<Feature> features) → Future<void>
Updates a collection of features in the table.
inherited
validateRelationshipConstraints({required ArcGISFeature feature}) → Future<RelationshipConstraintViolationType>
Validates constraints for a given feature participating in a relationship.
inherited

Operators

operator ==(Object other) → bool
The equality operator.
inherited